> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/ufc-media/schedule-endpoints-restful/fighters-endpoint.md).

# Fighters Endpoint

This endpoint returns basic information on all fighters. This information is kept up to date every 5 minutes.

## **Endpoint URLs**

**For all fighters:**

| Legacy - `https://dde-api.data.imgarena.com/mma/fighters` (decommissioning on 30th Sept 2026) |
| --------------------------------------------------------------------------------------------- |
| **NEW -** `https://dde-api.data.srarena.io/mma/fighters`                                      |

## **Required Headers**

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

## **Request Parameters**

| Parameter                   | Description                                                                                                          |
| --------------------------- | -------------------------------------------------------------------------------------------------------------------- |
| weightclass={weightclassId} | Return fighters only from a specific weight class. Weight class IDs can be retrieved from the WeightClasses endpoint |
| org="ufc"                   | Filter out results based on the organisation, can pass org = "ufc"                                                   |

## **Response Model:**

### **Fighters Object**

| Field Name   | Type    | Description                                                                                            |
| ------------ | ------- | ------------------------------------------------------------------------------------------------------ |
| weight       | integer | the weigh in weight, in lb, of the fighter. Will be null if unknown.                                   |
| reach        | float   | the reach, in inches, of the fighter. Will be null if unknown.                                         |
| dob          | date    | the date of birth of the fighter                                                                       |
| weightclass  | object  | an object containing information on the fighters weight class                                          |
| fightsOutOf  | string  | the city, state, country code of where the fighter currently fights out of                             |
| rank         | integer | The rank of the fighter. Null if no player ranking                                                     |
| height       | integer | the height, in inches, of the fighter. Will be null if unknown.                                        |
| country      | string  | country of the fighter                                                                                 |
| age          | integer | the age of the fighter                                                                                 |
| accolades    | array   | an array containing information on the belt                                                            |
| lastName     | string  | the last name of the fighter                                                                           |
| stance       | string  | the stance of the fighter. Possible values; Orthodox, Southpaw, Switch, Open. Will be null if unknown. |
| firstName    | string  | the first name of the fighter                                                                          |
| nickName     | string  | the nickname of the fighter                                                                            |
| fighterId    | string  | the id of the fighter.                                                                                 |
| born         | string  | the city, state, country code of where the fighter was born                                            |
| record       | object  | an object showing the win/loss/draw/ information of the fighter                                        |
| pflFighterId | string  | this value will be return as null                                                                      |

### **Weightclass Object**

| Field Name   | Type    | Description                                                      |
| ------------ | ------- | ---------------------------------------------------------------- |
| weight       | string  | the weight range, in lb, of the weightclass of the fighter       |
| description  | string  | description of the weightclass of the fighter, e.g. welterweight |
| id           | integer | ID of the weightclass of the fighter                             |
| obsolete     | boolean | true if this weightclass is obsolete                             |
| abbreviation | string  | abbreviated description of the weightclass of the fighter        |
| organisation | string  | The organisation that the weightclass is associated to i,e UFC   |

### **Accolade Object**

| Field Name | Type   | Description                                  |
| ---------- | ------ | -------------------------------------------- |
| name       | string | the name of the accolade the fighter has won |
| belt       | string | the belt the fighter has won                 |
| won        | date   | when the accolade was won                    |
| lost       | date   | when the accolade was lost                   |

### **Record Object**

| Field Name | Type    | Description                                           |
| ---------- | ------- | ----------------------------------------------------- |
| wins       | integer | The number of wins in the UFC for that fighter        |
| losses     | integer | The number of losses in the UFC for that fighter      |
| draws      | integer | The number of draws in the UFC for that fighter       |
| noContests | integer | The number of no contests in the UFC for that fighter |

## Sample Response

```
 {
        "ufcFighterId": 892,
        "pflFighterId": null,
        "fighterId": 1,
        "dob": "1979-03-24",
        "rank": null,
        "height": 72,
        "country": "CAN",
        "age": 46,
        "accolades": [],
        "lastName": "Gill",
        "weight": 154,
        "reach": null,
        "weightClass": null,
        "fightsOutOf": null,
        "stance": "orthodox",
        "firstName": "Kultar",
        "nickName": "Black Mamba",
        "born": "Port Moody, British Columbia, CAN",
        "record": {
            "draws": 0,
            "losses": 8,
            "noContests": 0,
            "wins": 12
        }
    },
    {
        "ufcFighterId": 69,
        "pflFighterId": null,
        "fighterId": 2,
        "dob": "1966-11-10",
        "rank": null,
        "height": 71,
        "country": "GBR",
        "age": 58,
        "accolades": [],
        "lastName": "Freeman",
        "weight": 225,
        "reach": null,
        "weightClass": {
            "weight": "206-265",
            "description": "Heavyweight",
            "id": 11,
            "obsolete": false,
            "abbreviation": "HW",
            "organisation": "UFC"
        },
        "fightsOutOf": null,
        "stance": "orthodox",
        "firstName": "Ian",
        "nickName": "The Machine",
        "born": "Sunderland, England, GBR",
        "record": {
            "draws": 1,
            "losses": 7,
            "noContests": 0,
            "wins": 20
        }
    },
    {
        "ufcFighterId": 1469,
        "pflFighterId": null,
        "fighterId": 3,
        "dob": "1984-12-17",
        "rank": null,
        "height": null,
        "country": "USA",
        "age": 40,
        "accolades": [],
        "lastName": "Ray",
        "weight": 170,
        "reach": null,
        "weightClass": null,
        "fightsOutOf": null,
        "stance": null,
        "firstName": "Joe",
        "nickName": null,
        "born": "Miramar, Florida, USA",
        "record": {
            "draws": 0,
            "losses": 0,
            "noContests": 0,
            "wins": 13
        }
    },
    {
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/ufc-media/schedule-endpoints-restful/fighters-endpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
